{% macro render(props) -%}
    <div class="subscription-form__header">{{ props.header }}</div>
    <form class="subscription-form__form"
          action="{{ props.endpoint }}"
          method="post">
        {% for field in props.fields %}
            <div class="subscription-form__element field">
                {% if field.input_type == 'select' %}
                    <label for="{{ field.value }}" class="subscription-form__label">{{ field.display_name }}</label>
                    <select name="{{ field.value }}"
                            class="subscription-form__input"
                            {% if field.disabled %}disabled{% endif %}
                            required>
                        {% for option in field.options %}
                            <option value="{{ option.value }}"
                                    {% if option.value==field.default_value %}selected{% endif %}>
                                {{ option.label }}
                            </option>
                        {% endfor %}
                    </select>
                    <input type="hidden"
                           name="{{ field.value }}"
                           value="{{ field.default_value }}" />
                {% else %}
                    <label for="{{ field.value }}" class="subscription-form__label">{{ field.display_name }}</label>
                    <input name="{{ field.value }}"
                           class="subscription-form__input"
                           type="{{ field.input_type }}"
                           value="{{ field.default_value }}"
                           min="{{ field.min_value }}"
                           {% if field.disabled %}readonly{% endif %}
                           required />
                {% endif %}
            </div>
        {% endfor %}
        <div class="subscription-form__element button">
            <input type="submit"
                   value="{{ props.button }}"
                   class="subscription-form__button" />
        </div>
    </form>
{%- endmacro %}
